function [rho_sw, v_c, rho_air, C, v_w, angle, cd_pontoon, cd_jacket, ...
   l_g,h_g, S, draft_p, b_p, A_p, draft_j, d_j, A_jacket] = param()

% PARAMETER DEFINITION
% Environmental condition and load parameters
% Sea and current
rho_sw = 1025;                  % Mass density of seawater [kg/m^3]
v_c = [0.8, 1, 1.7];            % Current velocity for 1y, 10y, 100y

% Air and wind
rho_air = 1.226;                % Mass density of air [kg/m^3]
C = 1;                          % Wind shape coefficient 
v_w = 36.9;                     % Mean wind velocity at site, 50 yr
angle = 90;                     % Angle between wind and exposed member

% Drag coefficients
cd_pontoon = 1.1;               % Cd, Pontoon    
cd_jacket = 0.9;                % Cd, Jacket

% Girder geometry 
l_g = 2100;                     % Main beam length [m]
h_g = 3;                        % Main beam height [m]
S = l_g*h_g;                    % Projected area

% Pontoon geometry
draft_p = 10.5;               % Pontoon draft [m]
b_p = 38.5;                   % Pontoon width [m]
A_p = draft_p*b_p;            % Projected area [m^2]

% Jacket geometry
draft_j = 140;                 % Submerged length of jacket legs [m] 
d_j    = 2.9;                  % Leg diameter [m]
A_jacket = draft_j*d_j;       % Projected area [m^2]
end
