function [Fc_P,Fc_J,Mc_J,F_wL] = staticload(rho_sw, v_c, rho_air, C, v_w, angle, cd_pontoon, cd_jacket, ...
   l_g,h_g, S, draft_p, b_p, A_p, draft_j, d_j, A_jacket)

% CURRENT LOAD 
% Calculated as steady current load for column based structure 
% DNV-C2505 2010 7.6.2
% JACKET 
F_c_jacket = 0.5*rho_sw*cd_jacket*A_jacket*(v_c).^2;   % Current load [N]
Fc_J = F_c_jacket*4; 
Mc_J =  F_c_jacket*(draft_j)/2;                 % Applied moment [Nm]

% PONTOON                                               
Fc_P = 0.5*rho_sw*cd_pontoon*A_p*(v_c).^2;           % Force

% ************************************************************************
% WIND LOAD 
% Calculated as steady current load for column based structure
% DNV-C2505 5.2.1-5.3.1
q = 0.5*rho_air*v_w^2;           % Basic wind pressure 
F_w = C*q*S*sin(angle);           % General wind force [N]
F_wL = F_w/l_g;
% ************************************************************************
end