% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get accelerations - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\regular_res_a.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
acc_5 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

ax_mx_5 = acc_5(1,1);
ax_mn_5 = acc_5(1,3);
ay_mx_5 = acc_5(1,5);
ay_mn_5 = acc_5(1,7);
az_mx_5 = acc_5(1,9);
az_mn_5 = acc_5(1,11);

% Get accelerations - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\regular_res_a.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
acc_6 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

ax_mx_6 = acc_6(1,1);
ax_mn_6 = acc_6(1,3);
ay_mx_6 = acc_6(1,5);
ay_mn_6 = acc_6(1,7);
az_mx_6 = acc_6(1,9);
az_mn_6 = acc_6(1,11);


%**************************** SORT *********************************
ax_mx = [ax_mx_5,ax_mx_6];
ay_mx = [ay_mx_5,ay_mx_6];
az_mx = [az_mx_5,az_mx_6];

ax_mn = [ax_mn_5,ax_mn_6];
ay_mn = [ay_mn_5,ay_mn_6];
az_mn = [az_mn_5,az_mn_6];

ax = [0,0];
ay = [0,0];
az = [0,0];

for i=1:2
    if abs(ax_mx(i)) > abs(ax_mn(i))
        ax(i)=ax_mx(i);
    else
        ax(i)=ax_mn(i);
    end
    
    if abs(ay_mx(i)) > abs(ay_mn(i))
        ay(i)=ay_mx(i);
    else
        ay(i)=ay_mn(i);
    end
    
    if abs(az_mx(i)) > abs(az_mn(i))
        az(i)=az_mx(i);
    else
        az(i)=az_mn(i);
    end
end

figure
scatter(tp,ax, 'o', 'MarkerFaceColor', 'b');
title({'Maximum X-Component', 'of Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration (X)','[m/s^2]'})
grid on
axis([4 7 0.1 0.3])

figure
scatter(tp,ay, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Y-Component', 'of Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration (Y)','[m/s^2]'})
axis([4 7 0.3 0.6])
grid on
figure
scatter(tp,az, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Z-Component', 'of Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration (Z)','[m/s^2]'})
axis([4 7 -0.05 0.1])
grid on


%**************************** T = 5 sec *********************************
%{
ux_mx_5 = 0.1;
ux_mn_5 = 0.1;
uy_mx_5 = 0.1;
uy_mn_5 = 0.1;
uy_mx_5 = 0.1;
uz_mn_5 = 0.1;

ax_mx_5 = 0.1;
ax_mn_5 = 0.1;
ay_mx_5 = 0.1;
ay_mn_5 = 0.1;
ay_mx_5 = 0.1;
az_mn_5 = 0.1;

disp_mx_5 = [ux_mx,uy_mx,uz_mx];
disp_mn_5 = [ux_mn,uy_mn,uz_mn];
acc_mx_5 = [ax_mx,ay_mx,az_mx];
acc_mn_5 = [ax_mn,ay_mn,az_mn];
%}



