% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get accelerations - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\regular_res_rot_a.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
rotacc_5 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

rotax_mx_5 = rotacc_5(1,1);
rotax_mn_5 = rotacc_5(1,3);
rotay_mx_5 = rotacc_5(1,5);
rotay_mn_5 = rotacc_5(1,7);
rotaz_mx_5 = rotacc_5(1,9);
rotaz_mn_5 = rotacc_5(1,11);


% Get accelerations - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\regular_res_rot_a.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
rotacc_6 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

rotax_mx_6 = rotacc_6(1,1);
rotax_mn_6 = rotacc_6(1,3);
rotay_mx_6 = rotacc_6(1,5);
rotay_mn_6 = rotacc_6(1,7);
rotaz_mx_6 = rotacc_6(1,9);
rotaz_mn_6 = rotacc_6(1,11);

%**************************** SORT *********************************
rotax_mx = [rotax_mx_5,rotax_mx_6];
rotax_mn = [rotax_mn_5,rotax_mn_6];

rotay_mx = [rotay_mx_5,rotay_mx_6];
rotay_mn = [rotay_mn_5,rotay_mn_6];

rotaz_mx = [rotaz_mx_5,rotaz_mx_6];
rotaz_mn = [rotaz_mn_5,rotaz_mn_6];


rotax = [0,0];
rotay = [0,0];
rotaz = [0,0];


for i=1:2
    if abs(rotax_mx(i)) > abs(rotax_mn(i))
        rotax(i)=rotax_mx(i);
    else
        rotax(i)=rotax_mn(i);
    end
    
    if abs(rotay_mx(i)) > abs(rotay_mn(i))
        rotay(i)=rotay_mx(i);
    else
        rotay(i)=rotay_mn(i);
    end
    
     if abs(rotaz_mx(i)) > abs(rotaz_mn(i))
        rotaz(i)=rotaz_mx(i);
    else
        rotaz(i)=rotaz_mn(i);
    end    
end

figure
scatter(tp,rotax, 'o', 'MarkerFaceColor', 'b');
title({'Maximum ROTX-Component of',' Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration','(ROT-X) [m/s^2]'})
grid on
axis([4 7 -1.5E-03 3e-03])

figure
scatter(tp,rotay, 'o', 'MarkerFaceColor', 'b');
title({'Maximum ROTY-Component of',' Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration','(ROT-Y) [m/s^2]'})
grid on
axis([4 7 -4e-04 6.5e-04])

figure
scatter(tp,rotaz, 'o', 'MarkerFaceColor', 'b');
title({'Maximum ROTZ-Component of',' Acceleration'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Acceleration','(ROT-Z) [m/s^2]'})
grid on
axis([4 7 3.25e-03 6.6e-03])
%**************************** T = 5 sec *********************************
%{
ux_mx_5 = 0.1;
ux_mn_5 = 0.1;
uy_mx_5 = 0.1;
uy_mn_5 = 0.1;
uy_mx_5 = 0.1;
uz_mn_5 = 0.1;

ax_mx_5 = 0.1;
ax_mn_5 = 0.1;
ay_mx_5 = 0.1;
ay_mn_5 = 0.1;
ay_mx_5 = 0.1;
az_mn_5 = 0.1;

disp_mx_5 = [ux_mx,uy_mx,uz_mx];
disp_mn_5 = [ux_mn,uy_mn,uz_mn];
acc_mx_5 = [ax_mx,ay_mx,az_mx];
acc_mn_5 = [ax_mn,ay_mn,az_mn];
%}



