% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get Displacements - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\regular_res_u.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
disp_5 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

ux_mx_5 = disp_5(1,1);
ux_mn_5 = disp_5(1,3);
uy_mx_5 = disp_5(1,5);
uy_mn_5 = disp_5(1,7);
uz_mx_5 = disp_5(1,9);
uz_mn_5 = disp_5(1,11);

% Get Displacements - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\regular_res_u.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
disp_6 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

ux_mx_6 = disp_6(1,1);
ux_mn_6 = disp_6(1,3);
uy_mx_6 = disp_6(1,5);
uy_mn_6 = disp_6(1,7);
uz_mx_6 = disp_6(1,9);
uz_mn_6 = disp_6(1,11);

%**************************** SORT *********************************
ux_mx = [ux_mx_5,ux_mx_6];
uy_mx = [uy_mx_5,uy_mx_6];
uz_mx = [uz_mx_5,uz_mx_6];

ux_mn = [ux_mn_5,ux_mn_6];
uy_mn = [uy_mn_5,uy_mn_6];
uz_mn = [uz_mn_5,uz_mn_6];

ux = [0,0];
uy = [0,0];
uz = [0,0];

for i=1:2
    if abs(ux_mx(i)) > abs(ux_mn(i))
        ux(i)=ux_mx(i);
    else
        ux(i)=ux_mn(i);
    end
    
    if abs(uy_mx(i)) > abs(uy_mn(i))
        uy(i)=uy_mx(i);
    else
        uy(i)=uy_mn(i);
    end
    
    if abs(uz_mx(i)) > abs(uz_mn(i))
        uz(i)=uz_mx(i);
    else
        uz(i)=uz_mn(i);
    end
end

figure
scatter(tp,ux, 'o', 'MarkerFaceColor', 'b');
title({'Maximum X-Component', 'of Displacement'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Displacement (X)','[m]'})
grid on
axis([4 7 -0.17 -0.14])

figure
scatter(tp,uy, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Y-Component', 'of Displacement'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Displacement (Y)','[m]'})
grid on
axis([4 7 -0.56 -0.5])

figure
scatter(tp,uz, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Z-Component', 'of Displacement'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Displacement (Z)','[m]'})
grid on
axis([4 7 0.14 0.149])

%**************************** T = 5 sec *********************************
%{
ux_mx_5 = 0.1;
ux_mn_5 = 0.1;
uy_mx_5 = 0.1;
uy_mn_5 = 0.1;
uy_mx_5 = 0.1;
uz_mn_5 = 0.1;

ax_mx_5 = 0.1;
ax_mn_5 = 0.1;
ay_mx_5 = 0.1;
ay_mn_5 = 0.1;
ay_mx_5 = 0.1;
az_mn_5 = 0.1;

disp_mx_5 = [ux_mx,uy_mx,uz_mx];
disp_mn_5 = [ux_mn,uy_mn,uz_mn];
acc_mx_5 = [ax_mx,ay_mx,az_mx];
acc_mn_5 = [ax_mn,ay_mn,az_mn];
%}



