% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get accelerations - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\moments.txt';
formatSpec = '%25f%25f%25f%25f%25f%25f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', '', 'WhiteSpace', '', 'TextType', 'string',  'ReturnOnError', false);
fclose(fileID);
mom5 = [dataArray{1:end-1}];
clearvars filename formatSpec fileID dataArray ans;

time = mom5(:,1);
mx_mx5 = mom5(:,2);
mx_mn5 = mom5(:,3);
my_mx5 = mom5(:,4);
my_mn5 = mom5(:,5);
mz_mx5 = mom5(:,6);
mz_mn5 = mom5(:,7);

% Get accelerations - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\moments.txt';
formatSpec = '%25f%25f%25f%25f%25f%25f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', '', 'WhiteSpace', '', 'TextType', 'string',  'ReturnOnError', false);
fclose(fileID);
mom6 = [dataArray{1:end-1}];
clearvars filename formatSpec fileID dataArray ans;

mx_mx6 = mom6(:,2);
mx_mn6 = mom6(:,3);
my_mx6 = mom6(:,4);
my_mn6 = mom6(:,5);
mz_mx6 = mom6(:,6);
mz_mn6 = mom6(:,7);

%**************************** SORT *********************************
mx = [mx_mx5, mx_mn5, mx_mx6, mx_mn6]./10^6;
my = [my_mx5, my_mn5, my_mx6, my_mn6]./10^6;
mz = [mz_mx5, mz_mn5, mz_mx6, mz_mn6]./10^6;

% T=5
figure
plot(time(96:226,1),mx(96:226,1),time(96:226,1),mx(96:226,2),...
    time(96:226,1),mx(96:226,3),time(96:226,1),mx(96:226,4))
title({'Maximum and Minimum Bending Moment,Mx'})
xlabel('Time [s]') % x-axis label
ylabel({'Bending Moment, Mx','[MNm]'})
legend('Mx max, T=5s','Mx min, T=5s','Mx max, T=6s','Mx min, T=6s',...
    'Mx max, T=7s','Mx min, T=7s','Location','Best')
axis([20 40 -35 40])

figure
plot(time(96:226,1),my(96:226,1),time(96:226,1),my(96:226,2),...
    time(96:226,1),my(96:226,3),time(96:226,1),my(96:226,4))
title({'Maximum and Minimum Bending Moment,My'})
xlabel('Time [s]') % x-axis label
ylabel({'Bending Moment, My','[MNm]'})
legend('My max, T=5s','My min, T=5s','My max, T=6s','My min, T=6s',...
    'My max, T=7s','My min, T=7s','Location','Westoutside')
axis([20 40 -40 55])

figure
plot(time(96:226,1),mz(96:226,1),time(96:226,1),mz(96:226,2),...
    time(96:226,1),mz(96:226,3),time(96:226,1),mz(96:226,4))
title({'Maximum and Minimum Bending Moment,Mz'})
xlabel('Time [s]') % x-axis label
ylabel({'Bending Moment, Mz','[MNm]'})
legend('Mz max, T=5s','Mz min, T=5s','Mz max, T=6s','Mz min, T=6s',...
    'Mz max, T=7s','Mz min, T=7s','Location','Best')
axis([20 40 -400 200])

MAX_mx_mx7 = max(mx_mx7);
MAX_mx_mn7 = min(mx_mn7);
MAX_my_mx7 = max(my_mx7);
MAX_my_mn7 = min(my_mx7);
MAX_mz_mx7 = max(mz_mx7);
MAX_mz_mn7 = min(mz_mn7);




