% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get Displacements - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\regular_res_rot_u.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
rot_5 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

rotx_mx_5 = rot_5(1,1);
rotx_mn_5 = rot_5(1,3);
roty_mx_5 = rot_5(1,5);
roty_mn_5 = rot_5(1,7);
rotz_mx_5 = rot_5(1,9);
rotz_mn_5 = rot_5(1,11);

% Get Displacements - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\regular_res_rot_u.txt';
delimiter = ' ';
endRow = 1;
formatSpec = '%f%f%f%f%f%f%f%f%f%f%f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, endRow, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
fclose(fileID);
rot_6 = [dataArray{1:end-1}];
clearvars filename delimiter endRow formatSpec fileID dataArray ans;

rotx_mx_6 = rot_6(1,1);
rotx_mn_6 = rot_6(1,3);
roty_mx_6 = rot_6(1,5);
roty_mn_6 = rot_6(1,7);
rotz_mx_6 = rot_6(1,9);
rotz_mn_6 = rot_6(1,11);

%**************************** SORT *********************************
ux_mx = [rotx_mx_5,rotx_mx_6];
uy_mx = [roty_mx_5,roty_mx_6];
uz_mx = [rotz_mx_5,rotz_mx_6];

ux_mn = [rotx_mn_5,rotx_mn_6];
uy_mn = [roty_mn_5,roty_mn_6];
uz_mn = [rotz_mn_5,rotz_mn_6];

rotx = [0,0];
roty = [0,0];
rotz = [0,0];

for i=1:2
    if abs(ux_mx(i)) > abs(ux_mn(i))
        rotx(i)=ux_mx(i);
    else
        rotx(i)=ux_mn(i);
    end
    
    if abs(uy_mx(i)) > abs(uy_mn(i))
        roty(i)=uy_mx(i);
    else
        roty(i)=uy_mn(i);
    end
    
    if abs(uz_mx(i)) > abs(uz_mn(i))
        rotz(i)=uz_mx(i);
    else
        rotz(i)=uz_mn(i);
    end
end

figure
scatter(tp,rotx, 'o', 'MarkerFaceColor', 'b');
title({'Maximum X-Component', 'of Rotation'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Rotations (X)','[m]'})
grid on
axis([4 7 -3.44E-03 -3.41E-03])


figure
scatter(tp,roty, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Y-Component', 'of Rotation'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Rotations (Y)','[m]'})
grid on
axis([4 7 -8.4E-04 -6.7E-04])

figure
scatter(tp,rotz, 'o', 'MarkerFaceColor', 'b');
title({'Maximum Z-Component', 'of Rotation'})
xlabel('Wave Period [s]') % x-axis label
ylabel({'Rotations (Z)','[m]'})
grid on
axis([4 7 -5.75E-03 -5.48E-03])

%**************************** T = 5 sec *********************************
%{
ux_mx_5 = 0.1;
ux_mn_5 = 0.1;
uy_mx_5 = 0.1;
uy_mn_5 = 0.1;
uy_mx_5 = 0.1;
uz_mn_5 = 0.1;

ax_mx_5 = 0.1;
ax_mn_5 = 0.1;
ay_mx_5 = 0.1;
ay_mn_5 = 0.1;
ay_mx_5 = 0.1;
az_mn_5 = 0.1;

disp_mx_5 = [ux_mx,uy_mx,uz_mx];
disp_mn_5 = [ux_mn,uy_mn,uz_mn];
acc_mx_5 = [ax_mx,ay_mx,az_mx];
acc_mn_5 = [ax_mn,ay_mn,az_mn];
%}



