% Plot displacements from regular wave analysis
tp = [5,6]; 
%**************************** T = 5 sec *********************************
% Get accelerations - TP=5
filename = '\\tsclient\H\Highbridge_2J\T=5_ny\vm_stress_girder.txt';
formatSpec = '%25f%25f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', '', 'WhiteSpace', '', 'TextType', 'string',  'ReturnOnError', false);
fclose(fileID);
vm5 = [dataArray{1:end-1}];
clearvars filename formatSpec fileID dataArray ans;

time = vm5(:,1);
vm_mx5 = vm5(:,2);
vm_mn5 = vm5(:,3);

% Get accelerations - TP=6
filename = '\\tsclient\H\Highbridge_2J\T=6_ny\vm_stress_girder.txt';
formatSpec = '%25f%25f%f%[^\n\r]';
fileID = fopen(filename,'r');
dataArray = textscan(fileID, formatSpec, 'Delimiter', '', 'WhiteSpace', '', 'TextType', 'string',  'ReturnOnError', false);
fclose(fileID);
vm6 = [dataArray{1:end-1}];
clearvars filename formatSpec fileID dataArray ans;

vm_mx6 = vm6(:,2);
vm_mn6 = vm6(:,3);

%**************************** SORT *********************************
vm_mx = [vm_mx5,vm_mx6]./(10^6);


figure
plot(time(96:226,1),vm_mx(96:226,:))
title({'Maximum Von Mises Stress'})
xlabel('Time [s]') % x-axis label
ylabel({'Von Mises Stress','[MPa]'})
legend('T = 5 s','T = 6 s','T = 7 s')
axis([20 40 135 165])


VM_MAX_5=max(vm_mx5(96:226,1));
VM_MAX_6=max(vm_mx6(96:226,1));


